{% extends "base.html" %}
{% load i18n %}

{% load quiz_tags %}
{% load staticfiles %}

{% block title %} {{ quiz.title}} {% endblock %}
{% block description %} {% trans "Exam Results for" %} {{ quiz.title }} {% endblock %}

{% block css %}
    <link rel="stylesheet" href="{% static 'css/jquery.dataTables.min.css' %}">
    <script src="{% static 'js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'js/plotly-latest.min.js' %}"></script>
    <script src="{% static 'js/jspdf.min.js' %}"></script>
{% endblock %}

{% block content %}

  <div class="container">
    <div class="row">
      <div class="col-sm-6">
        <h2>Resultados de las pruebas:</h2>
        <p class="lead">
          Tabla de Resultados
        </p>
          <table class="table table-bordered table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>Prueba</th>
                <th>Correcto</th>
                <th>Incorrecto</th>
                <th>Porcentaje</th>
              </tr>
            </thead>

            <tbody>
        {% for sit in resume_sittings %}
        <tr>
          <td>{{ sit.dcount }}</td>
          <td>{{sit.quiz|get_NameQuiz}}</td>
          <td>{{ sit.data_sum }}</td>
          <td>{% get_incorrectas sit.dcount 5 sit.data_sum %}</td>
          <td>{% get_porcentage sit.dcount 5 sit.data_sum %}%</td>
        </tr>
        {% endfor %}

        </tbody>
        </table>
      </div>

      <div class="col-sm-6">
        <div id="myDiv"><!-- Plotly chart will be drawn inside this DIV --></div>
      </div>
    </div>
    <div class="row">
      <div class="col-sm-6">
        <div id="myDiv1"><!-- Plotly chart will be drawn inside this DIV --></div>
      </div>
      <div class="col-sm-6">
        <div id="myDiv2"><!-- Plotly chart will be drawn inside this DIV --></div>
      </div>
    </div>
  <script>
        trace1 = {
          x: [ {% for sitting in sittings %} '{{ sitting.quiz }}', {% endfor %}],
          y: [ {% for sitting in sittings %} '{{ sitting.get_percent_correct }}', {% endfor %}],
          name: 'Porcentaje',
          type: 'box',
          uid: '6ffd0c',
        };
        data = [trace1];
        layout = {
          boxmode: 'group',
          hovermode: 'closest',
          xaxis: {
            autorange: true,
            range: [-0.5, 3.5],
            title: 'Materia',
            type: 'category'
          },
          yaxis: {
            autorange: true,
            range: [-5.55555555556, 105.555555556],
            title: 'Porcentaje',
            type: 'linear'
          }
        };


      Plotly.newPlot('myDiv2', data, layout);

      var trace1 = {
        //x: ['C. Naturales', 'C. Sociales', 'Lenguaje', 'Matemáticas'],
        x: [ {% for sit in resume_sittings %} '{{sit.quiz|get_NameQuiz}}', {% endfor %} ],
        y: [ {% for sit in resume_sittings %} '{{sit.data_sum}}', {% endfor %} ],
        name: 'Correcto',
        type: 'bar',
        text: [ {% for sit in resume_sittings %} '{{sit.data_sum}}', {% endfor %} ],
        textposition: 'auto',
        marker: {
          color: 'rgb(204,255,204)',
          opacity: 0.6,
          line: {
            color: 'rbg(0,255,0)',
            width: 1.5
          }
        }
      };

      var trace2 = {
        x: [ {% for sit in resume_sittings %} '{{sit.quiz|get_NameQuiz}}', {% endfor %} ],
        y: [ {% for sit in resume_sittings %} '{% get_incorrectas sit.dcount 5 sit.data_sum %}', {% endfor %} ],
        name: 'Incorrecto',
        type: 'bar',
        text: [ {% for sit in resume_sittings %} '{% get_incorrectas sit.dcount 5 sit.data_sum %}', {% endfor %} ],
        textposition: 'auto',
        marker: {
          color: 'rgb(255,204,204)',
          opacity: 0.6,
          line: {
            color: 'rbg(255,0,0)',
            width: 1.5
          }
        }
      };

      var data = [trace1, trace2];
      var layout = {barmode: 'stack'};

      Plotly.newPlot('myDiv1', data, layout);




      $(document).ready(function() {$('#example').DataTable();} );

      var doc = new jsPDF();
      var specialElementHandlers = {
          '#editor': function (element, renderer) {
              return true;
          }
      };

      $('#cmd').click(function () {
          doc.fromHTML($('#content').html(), 15, 15, {
              'width': 170,
                  'elementHandlers': specialElementHandlers
          });
          doc.save('sample-file.pdf');
      });

  </script>

  </div>


  <a href="javascript:print('./prueba.pdf')" class="btn btn-primary">Imprimir</a>
<br><br>
{% if sittings %}

<table  id="example" class="table table-bordered table-striped">

  <thead>
  <tr>
    <th>{% trans "User" %}</th>
    <th>{% trans "Quiz" %}</th>
    <th>{% trans "Score" %}(%)</th>
  </tr>
  </thead>

  <tbody>

    {% for sitting in sittings %}

  <tr>
    <td>{{ sitting.user }}</td>
    <td>{{ sitting.quiz }}</td>
    <td>{{ sitting.get_percent_correct }}</td>
    <td>{{ sitting.get_current_score }}</td>
  </tr>

    {% endfor %}

  </tbody>

</table>
{% else %}
    <p>{% trans "There are no matching quizzes" %}.</p>
{% endif %}

{% endblock %}
